# PetscLogDestroy

Destroys the object and event logging data and resets the global counters.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogDestroy(void)

Not Collective

### Notes

This routine should not usually be used by programmers. Instead employ PetscLogStagePush() and PetscLogStagePop().

### Keywords

log, destroy

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogPrintSummary(), PetscLogStagePush(), PlogStagePop()

Level:developer
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages